%global __requires_exclude ^/usr/bin/pkg-config$

Summary:        Shared MIME information database
Name:           shared-mime-info
Version:        2.2
Release:        6%{?dist}
License:        GPLv2+
URL:            http://freedesktop.org/Software/shared-mime-info
Source0:        https://gitlab.freedesktop.org/xdg/shared-mime-info/-/archive/%{version}/shared-mime-info-%{version}.tar.gz

Patch3000:      0001-Remove-sub-classing-from-OO.o-mime-types.patch

BuildRequires:  gcc meson git-core itstool gettext 
BuildRequires:  libxml2-devel xmlto glib2-devel

%description
The shared-mime-info package contains the core database of common types and 
the update-mime-database command used to extend it. It requires glib2 to be 
installed for building the update command. Additionally, it uses intltool for 
translations, though this is only a dependency for the maintainers. 

%prep
%autosetup -p1

%build
%meson -Dupdate-mimedb=true
%meson_build

%install
%meson_install

find %{buildroot}%{_datadir}/mime -type d \
| sed -e "s|^%{buildroot}|%%dir |" > %{name}.files
find %{buildroot}%{_datadir}/mime -type f -not -path "*/packages/*" \
| sed -e "s|^%{buildroot}|%%ghost |" >> %{name}.files

rm -rf %{buildroot}%{_datadir}/locale/*

%check
%meson_test

%post
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null ||:

%transfiletriggerin -- %{_datadir}/mime
update-mime-database -n %{_datadir}/mime &> /dev/null ||:

%transfiletriggerpostun -- %{_datadir}/mime
update-mime-database -n %{_datadir}/mime &> /dev/null ||:

%files -f %{name}.files
%license COPYING
%doc README.md NEWS HACKING.md data/shared-mime-info-spec.xml
%{_bindir}/update-mime-database
%{_datadir}/mime/packages/*
%dir %{_datadir}/pkgconfig
%{_datadir}/pkgconfig/shared-mime-info.pc
%{_datadir}/gettext/its/shared-mime-info.its
%{_datadir}/gettext/its/shared-mime-info.loc
%{_mandir}/man*/update-mime-database.*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 24 2022 Wang Zhe <bessiewang@tencent.com> - 2.2-1
- initial build
